/*--------------------------------calculate.h---------------------------
  This file contains prototypes for various functions defined in
  calculate.c. This software was written by Stephen Jordan.
  ----------------------------------------------------------------------*/


#ifndef _CALCULATE_H
#include "cell.h"
#include "defs.h"
#include "diags.h"

void calculate(cell *C, defs *d, diags *dia, int stage);

void cm(const cell *C, diags *dia, const defs *d);

void center(cell *C, const diags *dia);

double kinetic(const cell *C, const defs *d);

#endif
#define _CALCULATE_H
